// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class TotalTLS extends APIResource {
    /**
     * Set Total TLS Settings or disable the feature for a Zone.
     */
    create(params, options) {
        const { zone_id, ...body } = params;
        return this._client.post(`/zones/${zone_id}/acm/total_tls`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Total TLS Settings for a Zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/acm/total_tls`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (TotalTLS) {
})(TotalTLS || (TotalTLS = {}));
//# sourceMappingURL=total-tls.mjs.map