// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Accounts extends APIResource {
    /**
     * Add an account as a member of a particular address map.
     */
    update(addressMapId, params, options) {
        const { account_id } = params;
        return this._client.put(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/accounts/${account_id}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove an account as a member of a particular address map.
     */
    delete(addressMapId, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/accounts/${account_id}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Accounts) {
})(Accounts || (Accounts = {}));
//# sourceMappingURL=accounts.mjs.map