import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as LOADocumentsAPI from 'cloudflare/resources/addressing/loa-documents/loa-documents';
import * as DownloadsAPI from 'cloudflare/resources/addressing/loa-documents/downloads';
export declare class LOADocuments extends APIResource {
    downloads: DownloadsAPI.Downloads;
    /**
     * Submit LOA document (pdf format) under the account.
     */
    create(params: LOADocumentCreateParams, options?: Core.RequestOptions): Core.APIPromise<LOADocumentCreateResponse>;
}
export interface LOADocumentCreateResponse {
    /**
     * Name of LOA document.
     */
    filename?: string;
}
export interface LOADocumentCreateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param: LOA document to upload.
     */
    loa_document: string;
}
export declare namespace LOADocuments {
    export import LOADocumentCreateResponse = LOADocumentsAPI.LOADocumentCreateResponse;
    export import LOADocumentCreateParams = LOADocumentsAPI.LOADocumentCreateParams;
    export import Downloads = DownloadsAPI.Downloads;
    export import DownloadGetResponse = DownloadsAPI.DownloadGetResponse;
    export import DownloadGetParams = DownloadsAPI.DownloadGetParams;
}
//# sourceMappingURL=loa-documents.d.ts.map