// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as DownloadsAPI from 'cloudflare/resources/addressing/loa-documents/downloads';
import { multipartFormRequestOptions } from 'cloudflare/core';
export class LOADocuments extends APIResource {
    constructor() {
        super(...arguments);
        this.downloads = new DownloadsAPI.Downloads(this._client);
    }
    /**
     * Submit LOA document (pdf format) under the account.
     */
    create(params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/addressing/loa_documents`, multipartFormRequestOptions({ body, ...options }))._thenUnwrap((obj) => obj.result);
    }
}
(function (LOADocuments) {
    LOADocuments.Downloads = DownloadsAPI.Downloads;
})(LOADocuments || (LOADocuments = {}));
//# sourceMappingURL=loa-documents.mjs.map