import { APIResource } from 'cloudflare/resource';
import * as BindingsAPI from 'cloudflare/resources/addressing/prefixes/bgp/bindings';
import * as PrefixesAPI from 'cloudflare/resources/addressing/prefixes/bgp/prefixes';
import * as StatusesAPI from 'cloudflare/resources/addressing/prefixes/bgp/statuses';
export declare class BGP extends APIResource {
    bindings: BindingsAPI.Bindings;
    prefixes: PrefixesAPI.Prefixes;
    statuses: StatusesAPI.Statuses;
}
export declare namespace BGP {
    export import Bindings = BindingsAPI.Bindings;
    export import AddressingServiceBinding = BindingsAPI.AddressingServiceBinding;
    export import BindingListResponse = BindingsAPI.BindingListResponse;
    export import BindingDeleteResponse = BindingsAPI.BindingDeleteResponse;
    export import BindingCreateParams = BindingsAPI.BindingCreateParams;
    export import BindingListParams = BindingsAPI.BindingListParams;
    export import BindingDeleteParams = BindingsAPI.BindingDeleteParams;
    export import BindingGetParams = BindingsAPI.BindingGetParams;
    export import Prefixes = PrefixesAPI.Prefixes;
    export import AddressingIpamBGPPrefixes = PrefixesAPI.AddressingIpamBGPPrefixes;
    export import PrefixListResponse = PrefixesAPI.PrefixListResponse;
    export import PrefixListParams = PrefixesAPI.PrefixListParams;
    export import PrefixEditParams = PrefixesAPI.PrefixEditParams;
    export import PrefixGetParams = PrefixesAPI.PrefixGetParams;
    export import Statuses = StatusesAPI.Statuses;
    export import StatusEditResponse = StatusesAPI.StatusEditResponse;
    export import StatusGetResponse = StatusesAPI.StatusGetResponse;
    export import StatusEditParams = StatusesAPI.StatusEditParams;
    export import StatusGetParams = StatusesAPI.StatusGetParams;
}
//# sourceMappingURL=bgp.d.ts.map