import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as EligibleAPI from 'cloudflare/resources/alerting/v3/destinations/eligible';
export declare class Eligible extends APIResource {
    /**
     * Get a list of all delivery mechanism types for which an account is eligible.
     */
    get(params: EligibleGetParams, options?: Core.RequestOptions): Core.APIPromise<EligibleGetResponse | null>;
}
export type EligibleGetResponse = unknown | Array<unknown> | string;
export interface EligibleGetParams {
    /**
     * The account id
     */
    account_id: string;
}
export declare namespace Eligible {
    export import EligibleGetResponse = EligibleAPI.EligibleGetResponse;
    export import EligibleGetParams = EligibleAPI.EligibleGetParams;
}
//# sourceMappingURL=eligible.d.ts.map