import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as V3API from 'cloudflare/resources/alerting/v3/v3';
import * as HistoriesAPI from 'cloudflare/resources/alerting/v3/histories';
import * as PoliciesAPI from 'cloudflare/resources/alerting/v3/policies';
import * as DestinationsAPI from 'cloudflare/resources/alerting/v3/destinations/destinations';
export declare class V3 extends APIResource {
    destinations: DestinationsAPI.Destinations;
    histories: HistoriesAPI.Histories;
    policies: PoliciesAPI.Policies;
    /**
     * Gets a list of all alert types for which an account is eligible.
     */
    list(params: V3ListParams, options?: Core.RequestOptions): Core.APIPromise<V3ListResponse | null>;
}
export type V3ListResponse = unknown | Array<unknown> | string;
export interface V3ListParams {
    /**
     * The account id
     */
    account_id: string;
}
export declare namespace V3 {
    export import V3ListResponse = V3API.V3ListResponse;
    export import V3ListParams = V3API.V3ListParams;
    export import Destinations = DestinationsAPI.Destinations;
    export import Histories = HistoriesAPI.Histories;
    export import AaaHistory = HistoriesAPI.AaaHistory;
    export import AaaHistoriesV4PagePaginationArray = HistoriesAPI.AaaHistoriesV4PagePaginationArray;
    export import HistoryListParams = HistoriesAPI.HistoryListParams;
    export import Policies = PoliciesAPI.Policies;
    export import AaaPolicies = PoliciesAPI.AaaPolicies;
    export import PolicyCreateResponse = PoliciesAPI.PolicyCreateResponse;
    export import PolicyUpdateResponse = PoliciesAPI.PolicyUpdateResponse;
    export import PolicyListResponse = PoliciesAPI.PolicyListResponse;
    export import PolicyDeleteResponse = PoliciesAPI.PolicyDeleteResponse;
    export import PolicyCreateParams = PoliciesAPI.PolicyCreateParams;
    export import PolicyUpdateParams = PoliciesAPI.PolicyUpdateParams;
    export import PolicyListParams = PoliciesAPI.PolicyListParams;
    export import PolicyDeleteParams = PoliciesAPI.PolicyDeleteParams;
    export import PolicyGetParams = PoliciesAPI.PolicyGetParams;
}
//# sourceMappingURL=v3.d.ts.map