// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as AuditLogsAPI from 'cloudflare/resources/audit-logs';
import { V4PagePaginationArray } from 'cloudflare/pagination';
export class AuditLogs extends APIResource {
    /**
     * Gets a list of audit logs for an account. Can be filtered by who made the
     * change, on which zone, and the timeframe of the change.
     */
    list(params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/audit_logs`, AuditLogListResponsesV4PagePaginationArray, { query, ...options });
    }
}
export class AuditLogListResponsesV4PagePaginationArray extends V4PagePaginationArray {
}
(function (AuditLogs) {
    AuditLogs.AuditLogListResponsesV4PagePaginationArray = AuditLogsAPI.AuditLogListResponsesV4PagePaginationArray;
})(AuditLogs || (AuditLogs = {}));
//# sourceMappingURL=audit-logs.mjs.map