// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class BrandProtection extends APIResource {
    /**
     * Submit suspicious URL for scanning
     */
    submit(params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/brand-protection/submit`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get results for a URL scan
     */
    urlInfo(params, options) {
        const { account_id, ...query } = params;
        return this._client.get(`/accounts/${account_id}/brand-protection/url-info`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
(function (BrandProtection) {
})(BrandProtection || (BrandProtection = {}));
//# sourceMappingURL=brand-protection.mjs.map