"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegionalTieredCache = void 0;
const resource_1 = require("cloudflare/resource");
class RegionalTieredCache extends resource_1.APIResource {
    /**
     * Instructs Cloudflare to check a regional hub data center on the way to your
     * upper tier. This can help improve performance for smart and custom tiered cache
     * topologies.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/cache/regional_tiered_cache`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Instructs Cloudflare to check a regional hub data center on the way to your
     * upper tier. This can help improve performance for smart and custom tiered cache
     * topologies.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/cache/regional_tiered_cache`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.RegionalTieredCache = RegionalTieredCache;
(function (RegionalTieredCache) {
})(RegionalTieredCache = exports.RegionalTieredCache || (exports.RegionalTieredCache = {}));
//# sourceMappingURL=regional-tiered-cache.js.map