import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SmartTieredCacheAPI from 'cloudflare/resources/cache/smart-tiered-cache';
export declare class SmartTieredCache extends APIResource {
    /**
     * Remvoves enablement of Smart Tiered Cache
     */
    delete(params: SmartTieredCacheDeleteParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheDeleteResponse>;
    /**
     * Updates enablement of Tiered Cache
     */
    edit(params: SmartTieredCacheEditParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheEditResponse>;
    /**
     * Get Smart Tiered Cache setting
     */
    get(params: SmartTieredCacheGetParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheGetResponse>;
}
export type SmartTieredCacheDeleteResponse = unknown | string | null;
export type SmartTieredCacheEditResponse = unknown | string | null;
export type SmartTieredCacheGetResponse = unknown | string | null;
export interface SmartTieredCacheDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export interface SmartTieredCacheEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enables Tiered Cache.
     */
    value: 'on' | 'off';
}
export interface SmartTieredCacheGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace SmartTieredCache {
    export import SmartTieredCacheDeleteResponse = SmartTieredCacheAPI.SmartTieredCacheDeleteResponse;
    export import SmartTieredCacheEditResponse = SmartTieredCacheAPI.SmartTieredCacheEditResponse;
    export import SmartTieredCacheGetResponse = SmartTieredCacheAPI.SmartTieredCacheGetResponse;
    export import SmartTieredCacheDeleteParams = SmartTieredCacheAPI.SmartTieredCacheDeleteParams;
    export import SmartTieredCacheEditParams = SmartTieredCacheAPI.SmartTieredCacheEditParams;
    export import SmartTieredCacheGetParams = SmartTieredCacheAPI.SmartTieredCacheGetParams;
}
//# sourceMappingURL=smart-tiered-cache.d.ts.map