"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DNSSEC = void 0;
const resource_1 = require("cloudflare/resource");
class DNSSEC extends resource_1.APIResource {
    /**
     * Delete DNSSEC.
     */
    delete(params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/dnssec`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable or disable DNSSEC.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/dnssec`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Details about DNSSEC status and configuration.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/dnssec`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.DNSSEC = DNSSEC;
(function (DNSSEC) {
})(DNSSEC = exports.DNSSEC || (exports.DNSSEC = {}));
//# sourceMappingURL=dnssec.js.map