import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as NamespacesAPI from 'cloudflare/resources/durable-objects/namespaces/namespaces';
import * as ObjectsAPI from 'cloudflare/resources/durable-objects/namespaces/objects';
export declare class Namespaces extends APIResource {
    objects: ObjectsAPI.Objects;
    /**
     * Returns the Durable Object namespaces owned by an account.
     */
    list(params: NamespaceListParams, options?: Core.RequestOptions): Core.APIPromise<NamespaceListResponse | null>;
}
export interface WorkersNamespace {
    id?: unknown;
    class?: unknown;
    name?: unknown;
    script?: unknown;
}
export type NamespaceListResponse = Array<WorkersNamespace>;
export interface NamespaceListParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Namespaces {
    export import WorkersNamespace = NamespacesAPI.WorkersNamespace;
    export import NamespaceListResponse = NamespacesAPI.NamespaceListResponse;
    export import NamespaceListParams = NamespacesAPI.NamespaceListParams;
    export import Objects = ObjectsAPI.Objects;
    export import WorkersObject = ObjectsAPI.WorkersObject;
    export import WorkersObjectsCursorLimitPagination = ObjectsAPI.WorkersObjectsCursorLimitPagination;
    export import ObjectListParams = ObjectsAPI.ObjectListParams;
}
//# sourceMappingURL=namespaces.d.ts.map