"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddressListResponsesV4PagePaginationArray = exports.Addresses = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
const AddressesAPI = __importStar(require("cloudflare/resources/email-routing/routing/addresses"));
const pagination_1 = require("cloudflare/pagination");
class Addresses extends resource_1.APIResource {
    /**
     * Create a destination address to forward your emails to. Destination addresses
     * need to be verified before they can be used.
     */
    create(accountIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/email/routing/addresses`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    list(accountIdentifier, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list(accountIdentifier, {}, query);
        }
        return this._client.getAPIList(`/accounts/${accountIdentifier}/email/routing/addresses`, AddressListResponsesV4PagePaginationArray, { query, ...options });
    }
    /**
     * Deletes a specific destination address.
     */
    delete(accountIdentifier, destinationAddressIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/email/routing/addresses/${destinationAddressIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets information for a specific destination email already created.
     */
    get(accountIdentifier, destinationAddressIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/email/routing/addresses/${destinationAddressIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Addresses = Addresses;
class AddressListResponsesV4PagePaginationArray extends pagination_1.V4PagePaginationArray {
}
exports.AddressListResponsesV4PagePaginationArray = AddressListResponsesV4PagePaginationArray;
(function (Addresses) {
    Addresses.AddressListResponsesV4PagePaginationArray = AddressesAPI.AddressListResponsesV4PagePaginationArray;
})(Addresses = exports.Addresses || (exports.Addresses = {}));
//# sourceMappingURL=addresses.js.map