// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as KeysAPI from 'cloudflare/resources/kv/namespaces/keys';
import { CursorLimitPagination } from 'cloudflare/pagination';
export class Keys extends APIResource {
    /**
     * Lists a namespace's keys.
     */
    list(namespaceId, params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/storage/kv/namespaces/${namespaceId}/keys`, WorkersKVKeysCursorLimitPagination, { query, ...options });
    }
}
export class WorkersKVKeysCursorLimitPagination extends CursorLimitPagination {
}
(function (Keys) {
    Keys.WorkersKVKeysCursorLimitPagination = KeysAPI.WorkersKVKeysCursorLimitPagination;
})(Keys || (Keys = {}));
//# sourceMappingURL=keys.mjs.map