import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as FlagAPI from 'cloudflare/resources/logs/control/retention/flag';
export declare class Flag extends APIResource {
    /**
     * Updates log retention flag for Logpull API.
     */
    create(zoneIdentifier: string, body: FlagCreateParams, options?: Core.RequestOptions): Core.APIPromise<FlagCreateResponse>;
    /**
     * Gets log retention flag for Logpull API.
     */
    get(zoneIdentifier: string, options?: Core.RequestOptions): Core.APIPromise<FlagGetResponse>;
}
export interface FlagCreateResponse {
    flag?: boolean;
}
export interface FlagGetResponse {
    flag?: boolean;
}
export interface FlagCreateParams {
    /**
     * The log retention flag for Logpull API.
     */
    flag: boolean;
}
export declare namespace Flag {
    export import FlagCreateResponse = FlagAPI.FlagCreateResponse;
    export import FlagGetResponse = FlagAPI.FlagGetResponse;
    export import FlagCreateParams = FlagAPI.FlagCreateParams;
}
//# sourceMappingURL=flag.d.ts.map