"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACLs = void 0;
const resource_1 = require("cloudflare/resource");
class ACLs extends resource_1.APIResource {
    /**
     * Creates a new Site ACL.
     */
    create(accountIdentifier, siteIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific Site ACL.
     */
    update(accountIdentifier, siteIdentifier, aclIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists Site ACLs associated with an account.
     */
    list(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific Site ACL.
     */
    delete(accountIdentifier, siteIdentifier, aclIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific Site ACL.
     */
    get(accountIdentifier, siteIdentifier, aclIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ACLs = ACLs;
(function (ACLs) {
})(ACLs = exports.ACLs || (exports.ACLs = {}));
//# sourceMappingURL=acls.js.map