"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Lans = void 0;
const resource_1 = require("cloudflare/resource");
class Lans extends resource_1.APIResource {
    /**
     * Creates a new LAN. If the site is in high availability mode, static_addressing
     * is required along with secondary and virtual address.
     */
    create(accountIdentifier, siteIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific LAN.
     */
    update(accountIdentifier, siteIdentifier, lanIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists LANs associated with an account and site.
     */
    list(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific LAN.
     */
    delete(accountIdentifier, siteIdentifier, lanIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific LAN.
     */
    get(accountIdentifier, siteIdentifier, lanIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Lans = Lans;
(function (Lans) {
})(Lans = exports.Lans || (exports.Lans = {}));
//# sourceMappingURL=lans.js.map