import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AssociationsAPI from 'cloudflare/resources/mtls-certificates/associations';
export declare class Associations extends APIResource {
    /**
     * Lists all active associations between the certificate and Cloudflare services.
     */
    get(mtlsCertificateId: string, params: AssociationGetParams, options?: Core.RequestOptions): Core.APIPromise<AssociationGetResponse | null>;
}
export interface TLSCertificatesAndHostnamesAssociationObject {
    /**
     * The service using the certificate.
     */
    service?: string;
    /**
     * Certificate deployment status for the given service.
     */
    status?: string;
}
export type AssociationGetResponse = Array<TLSCertificatesAndHostnamesAssociationObject>;
export interface AssociationGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Associations {
    export import TLSCertificatesAndHostnamesAssociationObject = AssociationsAPI.TLSCertificatesAndHostnamesAssociationObject;
    export import AssociationGetResponse = AssociationsAPI.AssociationGetResponse;
    export import AssociationGetParams = AssociationsAPI.AssociationGetParams;
}
//# sourceMappingURL=associations.d.ts.map