// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Scripts extends APIResource {
    /**
     * Lists all scripts detected by Page Shield.
     */
    list(params, options) {
        const { zone_id, ...query } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/scripts`, { query, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a script detected by Page Shield by script ID.
     */
    get(scriptId, params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/scripts/${scriptId}`, options);
    }
}
(function (Scripts) {
})(Scripts || (Scripts = {}));
//# sourceMappingURL=scripts.mjs.map