// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import { isRequestOptions } from 'cloudflare/core';
import * as SummaryAPI from 'cloudflare/resources/radar/as112/summary';
import * as TimeseriesGroupsAPI from 'cloudflare/resources/radar/as112/timeseries-groups';
import * as TopAPI from 'cloudflare/resources/radar/as112/top';
export class AS112 extends APIResource {
    constructor() {
        super(...arguments);
        this.summary = new SummaryAPI.Summary(this._client);
        this.timeseriesGroups = new TimeseriesGroupsAPI.TimeseriesGroups(this._client);
        this.top = new TopAPI.Top(this._client);
    }
    timeseries(query = {}, options) {
        if (isRequestOptions(query)) {
            return this.timeseries({}, query);
        }
        return this._client.get('/radar/as112/timeseries', { query, ...options })._thenUnwrap((obj) => obj.result);
    }
}
(function (AS112) {
    AS112.Summary = SummaryAPI.Summary;
    AS112.TimeseriesGroups = TimeseriesGroupsAPI.TimeseriesGroups;
    AS112.Top = TopAPI.Top;
})(AS112 || (AS112 = {}));
//# sourceMappingURL=as112.mjs.map