import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ForceAXFRAPI from 'cloudflare/resources/secondary-dns/force-axfr';
export declare class ForceAXFR extends APIResource {
    /**
     * Sends AXFR zone transfer request to primary nameserver(s).
     */
    create(params: ForceAXFRCreateParams, options?: Core.RequestOptions): Core.APIPromise<SecondaryDNSForceResult>;
}
/**
 * When force_axfr query parameter is set to true, the response is a simple string
 */
export type SecondaryDNSForceResult = string;
export interface ForceAXFRCreateParams {
    zone_id: unknown;
}
export declare namespace ForceAXFR {
    export import SecondaryDNSForceResult = ForceAXFRAPI.SecondaryDNSForceResult;
    export import ForceAXFRCreateParams = ForceAXFRAPI.ForceAXFRCreateParams;
}
//# sourceMappingURL=force-axfr.d.ts.map