import { APIResource } from 'cloudflare/resource';
import * as ACLsAPI from 'cloudflare/resources/secondary-dns/acls';
import * as ForceAXFRAPI from 'cloudflare/resources/secondary-dns/force-axfr';
import * as IncomingAPI from 'cloudflare/resources/secondary-dns/incoming';
import * as PeersAPI from 'cloudflare/resources/secondary-dns/peers';
import * as TSIGsAPI from 'cloudflare/resources/secondary-dns/tsigs';
import * as OutgoingAPI from 'cloudflare/resources/secondary-dns/outgoing/outgoing';
export declare class SecondaryDNS extends APIResource {
    forceAXFR: ForceAXFRAPI.ForceAXFR;
    incoming: IncomingAPI.Incoming;
    outgoing: OutgoingAPI.Outgoing;
    acls: ACLsAPI.ACLs;
    peers: PeersAPI.Peers;
    tsigs: TSIGsAPI.TSIGs;
}
export declare namespace SecondaryDNS {
    export import ForceAXFR = ForceAXFRAPI.ForceAXFR;
    export import SecondaryDNSForceResult = ForceAXFRAPI.SecondaryDNSForceResult;
    export import ForceAXFRCreateParams = ForceAXFRAPI.ForceAXFRCreateParams;
    export import Incoming = IncomingAPI.Incoming;
    export import IncomingCreateResponse = IncomingAPI.IncomingCreateResponse;
    export import IncomingUpdateResponse = IncomingAPI.IncomingUpdateResponse;
    export import IncomingDeleteResponse = IncomingAPI.IncomingDeleteResponse;
    export import IncomingGetResponse = IncomingAPI.IncomingGetResponse;
    export import IncomingCreateParams = IncomingAPI.IncomingCreateParams;
    export import IncomingUpdateParams = IncomingAPI.IncomingUpdateParams;
    export import IncomingDeleteParams = IncomingAPI.IncomingDeleteParams;
    export import IncomingGetParams = IncomingAPI.IncomingGetParams;
    export import Outgoing = OutgoingAPI.Outgoing;
    export import SecondaryDNSDisableTransferResult = OutgoingAPI.SecondaryDNSDisableTransferResult;
    export import SecondaryDNSEnableTransferResult = OutgoingAPI.SecondaryDNSEnableTransferResult;
    export import SecondaryDNSSchemasForceResult = OutgoingAPI.SecondaryDNSSchemasForceResult;
    export import OutgoingCreateResponse = OutgoingAPI.OutgoingCreateResponse;
    export import OutgoingUpdateResponse = OutgoingAPI.OutgoingUpdateResponse;
    export import OutgoingDeleteResponse = OutgoingAPI.OutgoingDeleteResponse;
    export import OutgoingGetResponse = OutgoingAPI.OutgoingGetResponse;
    export import OutgoingCreateParams = OutgoingAPI.OutgoingCreateParams;
    export import OutgoingUpdateParams = OutgoingAPI.OutgoingUpdateParams;
    export import OutgoingDeleteParams = OutgoingAPI.OutgoingDeleteParams;
    export import OutgoingDisableParams = OutgoingAPI.OutgoingDisableParams;
    export import OutgoingEnableParams = OutgoingAPI.OutgoingEnableParams;
    export import OutgoingForceNotifyParams = OutgoingAPI.OutgoingForceNotifyParams;
    export import OutgoingGetParams = OutgoingAPI.OutgoingGetParams;
    export import ACLs = ACLsAPI.ACLs;
    export import SecondaryDNSACL = ACLsAPI.SecondaryDNSACL;
    export import ACLListResponse = ACLsAPI.ACLListResponse;
    export import ACLDeleteResponse = ACLsAPI.ACLDeleteResponse;
    export import ACLCreateParams = ACLsAPI.ACLCreateParams;
    export import ACLUpdateParams = ACLsAPI.ACLUpdateParams;
    export import ACLListParams = ACLsAPI.ACLListParams;
    export import ACLDeleteParams = ACLsAPI.ACLDeleteParams;
    export import ACLGetParams = ACLsAPI.ACLGetParams;
    export import Peers = PeersAPI.Peers;
    export import SecondaryDNSPeer = PeersAPI.SecondaryDNSPeer;
    export import PeerListResponse = PeersAPI.PeerListResponse;
    export import PeerDeleteResponse = PeersAPI.PeerDeleteResponse;
    export import PeerCreateParams = PeersAPI.PeerCreateParams;
    export import PeerUpdateParams = PeersAPI.PeerUpdateParams;
    export import PeerListParams = PeersAPI.PeerListParams;
    export import PeerDeleteParams = PeersAPI.PeerDeleteParams;
    export import PeerGetParams = PeersAPI.PeerGetParams;
    export import TSIGs = TSIGsAPI.TSIGs;
    export import SecondaryDNSTSIG = TSIGsAPI.SecondaryDNSTSIG;
    export import TSIGListResponse = TSIGsAPI.TSIGListResponse;
    export import TSIGDeleteResponse = TSIGsAPI.TSIGDeleteResponse;
    export import TSIGCreateParams = TSIGsAPI.TSIGCreateParams;
    export import TSIGUpdateParams = TSIGsAPI.TSIGUpdateParams;
    export import TSIGListParams = TSIGsAPI.TSIGListParams;
    export import TSIGDeleteParams = TSIGsAPI.TSIGDeleteParams;
    export import TSIGGetParams = TSIGsAPI.TSIGGetParams;
}
//# sourceMappingURL=secondary-dns.d.ts.map