"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Snippets = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
const ContentAPI = __importStar(require("cloudflare/resources/snippets/content"));
const RulesAPI = __importStar(require("cloudflare/resources/snippets/rules"));
const core_2 = require("cloudflare/core");
class Snippets extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.content = new ContentAPI.Content(this._client);
        this.rules = new RulesAPI.Rules(this._client);
    }
    update(zoneIdentifier, snippetName, body = {}, options) {
        if ((0, core_1.isRequestOptions)(body)) {
            return this.update(zoneIdentifier, snippetName, {}, body);
        }
        return this._client.put(`/zones/${zoneIdentifier}/snippets/${snippetName}`, (0, core_2.multipartFormRequestOptions)({ body, ...options }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * All Snippets
     */
    list(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/snippets`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete Snippet
     */
    delete(zoneIdentifier, snippetName, options) {
        return this._client.delete(`/zones/${zoneIdentifier}/snippets/${snippetName}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Snippet
     */
    get(zoneIdentifier, snippetName, options) {
        return this._client.get(`/zones/${zoneIdentifier}/snippets/${snippetName}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Snippets = Snippets;
(function (Snippets) {
    Snippets.Content = ContentAPI.Content;
    Snippets.Rules = RulesAPI.Rules;
})(Snippets = exports.Snippets || (exports.Snippets = {}));
//# sourceMappingURL=snippets.js.map