import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as CurrentsAPI from 'cloudflare/resources/spectrum/analytics/aggregates/currents';
export declare class Currents extends APIResource {
    /**
     * Retrieves analytics aggregated from the last minute of usage on Spectrum
     * applications underneath a given zone.
     */
    get(zone: string, query?: CurrentGetParams, options?: Core.RequestOptions): Core.APIPromise<CurrentGetResponse>;
    get(zone: string, options?: Core.RequestOptions): Core.APIPromise<CurrentGetResponse>;
}
export type CurrentGetResponse = Array<unknown>;
export interface CurrentGetParams {
    /**
     * Comma-delimited list of Spectrum Application Id(s). If provided, the response
     * will be limited to Spectrum Application Id(s) that match.
     */
    app_id_param?: string;
    /**
     * Comma-delimited list of Spectrum Application Id(s). If provided, the response
     * will be limited to Spectrum Application Id(s) that match.
     */
    appID?: string;
    /**
     * Co-location identifier.
     */
    colo_name?: string;
}
export declare namespace Currents {
    export import CurrentGetResponse = CurrentsAPI.CurrentGetResponse;
    export import CurrentGetParams = CurrentsAPI.CurrentGetParams;
}
//# sourceMappingURL=currents.d.ts.map