import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as QuotaAPI from 'cloudflare/resources/ssl/certificate-packs/quota';
export declare class Quota extends APIResource {
    /**
     * For a given zone, list certificate pack quotas.
     */
    get(params: QuotaGetParams, options?: Core.RequestOptions): Core.APIPromise<QuotaGetResponse>;
}
export interface QuotaGetResponse {
    advanced?: QuotaGetResponse.Advanced;
}
export declare namespace QuotaGetResponse {
    interface Advanced {
        /**
         * Quantity Allocated.
         */
        allocated?: number;
        /**
         * Quantity Used.
         */
        used?: number;
    }
}
export interface QuotaGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace Quota {
    export import QuotaGetResponse = QuotaAPI.QuotaGetResponse;
    export import QuotaGetParams = QuotaAPI.QuotaGetParams;
}
//# sourceMappingURL=quota.d.ts.map