"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectUploads = void 0;
const resource_1 = require("cloudflare/resource");
class DirectUploads extends resource_1.APIResource {
    /**
     * Creates a direct upload that allows video uploads without an API key.
     */
    create(params, options) {
        const { account_id, 'Upload-Creator': uploadCreator, ...body } = params;
        return this._client.post(`/accounts/${account_id}/stream/direct_upload`, {
            body,
            ...options,
            headers: { 'Upload-Creator': uploadCreator || '', ...options?.headers },
        })._thenUnwrap((obj) => obj.result);
    }
}
exports.DirectUploads = DirectUploads;
(function (DirectUploads) {
})(DirectUploads = exports.DirectUploads || (exports.DirectUploads = {}));
//# sourceMappingURL=direct-uploads.js.map