// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Subscriptions extends APIResource {
    /**
     * Create a zone subscription, either plan or add-ons.
     */
    create(identifier, body, options) {
        return this._client.post(`/zones/${identifier}/subscription`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates an account subscription.
     */
    update(accountIdentifier, subscriptionIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/subscriptions/${subscriptionIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists all of an account's subscriptions.
     */
    list(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/subscriptions`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes an account's subscription.
     */
    delete(accountIdentifier, subscriptionIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/subscriptions/${subscriptionIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists zone subscription details.
     */
    get(identifier, options) {
        return this._client.get(`/zones/${identifier}/subscription`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Subscriptions) {
})(Subscriptions || (Subscriptions = {}));
//# sourceMappingURL=subscriptions.mjs.map