// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Indexes extends APIResource {
    /**
     * Creates and returns a new Vectorize Index.
     */
    create(accountIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates and returns the specified Vectorize Index.
     */
    update(accountIdentifier, indexName, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Returns a list of Vectorize Indexes
     */
    list(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/vectorize/indexes`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes the specified Vectorize Index.
     */
    delete(accountIdentifier, indexName, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a set of vectors from an index by their vector identifiers.
     */
    deleteByIds(accountIdentifier, indexName, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}/delete-by-ids`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Returns the specified Vectorize Index.
     */
    get(accountIdentifier, indexName, options) {
        return this._client.get(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a set of vectors from an index by their vector identifiers.
     */
    getByIds(accountIdentifier, indexName, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}/get-by-ids`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Inserts vectors into the specified index and returns the count of the vectors
     * successfully inserted.
     */
    insert(accountIdentifier, indexName, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}/insert`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Finds vectors closest to a given vector in an index.
     */
    query(accountIdentifier, indexName, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}/query`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Upserts vectors into the specified index, creating them if they do not exist and
     * returns the count of values and ids successfully inserted.
     */
    upsert(accountIdentifier, indexName, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/vectorize/indexes/${indexName}/upsert`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Indexes) {
})(Indexes || (Indexes = {}));
//# sourceMappingURL=indexes.mjs.map