// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import { multipartFormRequestOptions } from 'cloudflare/core';
export class Scripts extends APIResource {
    /**
     * Put script content for a script uploaded to a Workers for Platforms namespace.
     */
    update(dispatchNamespace, scriptName, params, options) {
        const { account_id, 'CF-WORKER-BODY-PART': cfWorkerBodyPart, 'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/content`, multipartFormRequestOptions({
            body,
            ...options,
            headers: {
                'CF-WORKER-BODY-PART': cfWorkerBodyPart || '',
                'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart || '',
                ...options?.headers,
            },
        }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetch script content from a script uploaded to a Workers for Platforms
     * namespace.
     */
    get(dispatchNamespace, scriptName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/content`, { ...options, __binaryResponse: true });
    }
}
(function (Scripts) {
})(Scripts || (Scripts = {}));
//# sourceMappingURL=scripts.mjs.map