import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AccountSettingsAPI from 'cloudflare/resources/workers/account-settings';
export declare class AccountSettings extends APIResource {
    /**
     * Creates Worker account settings for an account.
     */
    update(params: AccountSettingUpdateParams, options?: Core.RequestOptions): Core.APIPromise<AccountSettingUpdateResponse>;
    /**
     * Fetches Worker account settings for an account.
     */
    get(params: AccountSettingGetParams, options?: Core.RequestOptions): Core.APIPromise<AccountSettingGetResponse>;
}
export interface AccountSettingUpdateResponse {
    default_usage_model?: unknown;
    green_compute?: unknown;
}
export interface AccountSettingGetResponse {
    default_usage_model?: unknown;
    green_compute?: unknown;
}
export interface AccountSettingUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface AccountSettingGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace AccountSettings {
    export import AccountSettingUpdateResponse = AccountSettingsAPI.AccountSettingUpdateResponse;
    export import AccountSettingGetResponse = AccountSettingsAPI.AccountSettingGetResponse;
    export import AccountSettingUpdateParams = AccountSettingsAPI.AccountSettingUpdateParams;
    export import AccountSettingGetParams = AccountSettingsAPI.AccountSettingGetParams;
}
//# sourceMappingURL=account-settings.d.ts.map