import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as TailAPI from 'cloudflare/resources/workers/scripts/tail';
export declare class Tail extends APIResource {
    /**
     * Starts a tail that receives logs and exception from a Worker.
     */
    create(scriptName: string, params: TailCreateParams, options?: Core.RequestOptions): Core.APIPromise<TailCreateResponse>;
    /**
     * Deletes a tail from a Worker.
     */
    delete(scriptName: string, id: string, params: TailDeleteParams, options?: Core.RequestOptions): Core.APIPromise<TailDeleteResponse>;
    /**
     * Get list of tails currently deployed on a Worker.
     */
    get(scriptName: string, params: TailGetParams, options?: Core.RequestOptions): Core.APIPromise<TailGetResponse>;
}
export interface TailCreateResponse {
    id?: unknown;
    expires_at?: unknown;
    url?: unknown;
}
export type TailDeleteResponse = unknown | Array<unknown> | string;
export interface TailGetResponse {
    id?: unknown;
    expires_at?: unknown;
    url?: unknown;
}
export interface TailCreateParams {
    /**
     * Identifier
     */
    account_id: string;
}
export interface TailDeleteParams {
    /**
     * Identifier
     */
    account_id: string;
}
export interface TailGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Tail {
    export import TailCreateResponse = TailAPI.TailCreateResponse;
    export import TailDeleteResponse = TailAPI.TailDeleteResponse;
    export import TailGetResponse = TailAPI.TailGetResponse;
    export import TailCreateParams = TailAPI.TailCreateParams;
    export import TailDeleteParams = TailAPI.TailDeleteParams;
    export import TailGetParams = TailAPI.TailGetParams;
}
//# sourceMappingURL=tail.d.ts.map