"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
class Content extends resource_1.APIResource {
    /**
     * Put script content from a worker with an environment
     */
    update(serviceName, environmentName, params, options) {
        const { account_id, 'CF-WORKER-BODY-PART': cfWorkerBodyPart, 'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/content`, (0, core_1.multipartFormRequestOptions)({
            body,
            ...options,
            headers: {
                'CF-WORKER-BODY-PART': cfWorkerBodyPart || '',
                'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart || '',
                ...options?.headers,
            },
        }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get script content from a worker with an environment
     */
    get(serviceName, environmentName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/content`, { ...options, __binaryResponse: true });
    }
}
exports.Content = Content;
(function (Content) {
})(Content = exports.Content || (exports.Content = {}));
//# sourceMappingURL=content.js.map