"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Settings = void 0;
const resource_1 = require("cloudflare/resource");
class Settings extends resource_1.APIResource {
    /**
     * Patch script metadata, such as bindings
     */
    edit(serviceName, environmentName, params, options) {
        const { account_id, ...body } = params;
        return this._client.patch(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/settings`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get script settings from a worker with an environment
     */
    get(serviceName, environmentName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Settings = Settings;
(function (Settings) {
})(Settings = exports.Settings || (exports.Settings = {}));
//# sourceMappingURL=settings.js.map