import { APIResource } from 'cloudflare/resource';
import * as AccountSettingsAPI from 'cloudflare/resources/workers/account-settings';
import * as AIAPI from 'cloudflare/resources/workers/ai';
import * as DomainsAPI from 'cloudflare/resources/workers/domains';
import * as FiltersAPI from 'cloudflare/resources/workers/filters';
import * as RoutesAPI from 'cloudflare/resources/workers/routes';
import * as SubdomainsAPI from 'cloudflare/resources/workers/subdomains';
import * as DeploymentsAPI from 'cloudflare/resources/workers/deployments/deployments';
import * as ScriptsAPI from 'cloudflare/resources/workers/scripts/scripts';
import * as ServicesAPI from 'cloudflare/resources/workers/services/services';
export declare class Workers extends APIResource {
    ai: AIAPI.AI;
    scripts: ScriptsAPI.Scripts;
    filters: FiltersAPI.Filters;
    routes: RoutesAPI.Routes;
    accountSettings: AccountSettingsAPI.AccountSettings;
    deployments: DeploymentsAPI.Deployments;
    domains: DomainsAPI.Domains;
    subdomains: SubdomainsAPI.Subdomains;
    services: ServicesAPI.Services;
}
export declare namespace Workers {
    export import AI = AIAPI.AI;
    export import AIRunResponse = AIAPI.AIRunResponse;
    export import AIRunParams = AIAPI.AIRunParams;
    export import Scripts = ScriptsAPI.Scripts;
    export import WorkersScript = ScriptsAPI.WorkersScript;
    export import ScriptListResponse = ScriptsAPI.ScriptListResponse;
    export import ScriptUpdateParams = ScriptsAPI.ScriptUpdateParams;
    export import ScriptListParams = ScriptsAPI.ScriptListParams;
    export import ScriptDeleteParams = ScriptsAPI.ScriptDeleteParams;
    export import ScriptGetParams = ScriptsAPI.ScriptGetParams;
    export import Filters = FiltersAPI.Filters;
    export import WorkersFilters = FiltersAPI.WorkersFilters;
    export import FilterCreateResponse = FiltersAPI.FilterCreateResponse;
    export import FilterListResponse = FiltersAPI.FilterListResponse;
    export import FilterDeleteResponse = FiltersAPI.FilterDeleteResponse;
    export import FilterCreateParams = FiltersAPI.FilterCreateParams;
    export import FilterUpdateParams = FiltersAPI.FilterUpdateParams;
    export import FilterListParams = FiltersAPI.FilterListParams;
    export import FilterDeleteParams = FiltersAPI.FilterDeleteParams;
    export import Routes = RoutesAPI.Routes;
    export import WorkersRoutes = RoutesAPI.WorkersRoutes;
    export import RouteCreateResponse = RoutesAPI.RouteCreateResponse;
    export import RouteListResponse = RoutesAPI.RouteListResponse;
    export import RouteDeleteResponse = RoutesAPI.RouteDeleteResponse;
    export import RouteCreateParams = RoutesAPI.RouteCreateParams;
    export import RouteUpdateParams = RoutesAPI.RouteUpdateParams;
    export import RouteListParams = RoutesAPI.RouteListParams;
    export import RouteDeleteParams = RoutesAPI.RouteDeleteParams;
    export import RouteGetParams = RoutesAPI.RouteGetParams;
    export import AccountSettings = AccountSettingsAPI.AccountSettings;
    export import AccountSettingUpdateResponse = AccountSettingsAPI.AccountSettingUpdateResponse;
    export import AccountSettingGetResponse = AccountSettingsAPI.AccountSettingGetResponse;
    export import AccountSettingUpdateParams = AccountSettingsAPI.AccountSettingUpdateParams;
    export import AccountSettingGetParams = AccountSettingsAPI.AccountSettingGetParams;
    export import Deployments = DeploymentsAPI.Deployments;
    export import Domains = DomainsAPI.Domains;
    export import WorkersDomain = DomainsAPI.WorkersDomain;
    export import DomainListResponse = DomainsAPI.DomainListResponse;
    export import DomainUpdateParams = DomainsAPI.DomainUpdateParams;
    export import DomainListParams = DomainsAPI.DomainListParams;
    export import DomainDeleteParams = DomainsAPI.DomainDeleteParams;
    export import DomainGetParams = DomainsAPI.DomainGetParams;
    export import Subdomains = SubdomainsAPI.Subdomains;
    export import SubdomainUpdateResponse = SubdomainsAPI.SubdomainUpdateResponse;
    export import SubdomainGetResponse = SubdomainsAPI.SubdomainGetResponse;
    export import SubdomainUpdateParams = SubdomainsAPI.SubdomainUpdateParams;
    export import SubdomainGetParams = SubdomainsAPI.SubdomainGetParams;
    export import Services = ServicesAPI.Services;
}
//# sourceMappingURL=workers.d.ts.map