"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bookmarks = void 0;
const resource_1 = require("cloudflare/resource");
class Bookmarks extends resource_1.APIResource {
    /**
     * Create a new Bookmark application.
     */
    create(identifier, uuid, options) {
        return this._client.post(`/accounts/${identifier}/access/bookmarks/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates a configured Bookmark application.
     */
    update(identifier, uuid, options) {
        return this._client.put(`/accounts/${identifier}/access/bookmarks/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists Bookmark applications.
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/bookmarks`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a Bookmark application.
     */
    delete(identifier, uuid, options) {
        return this._client.delete(`/accounts/${identifier}/access/bookmarks/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a single Bookmark application.
     */
    get(identifier, uuid, options) {
        return this._client.get(`/accounts/${identifier}/access/bookmarks/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Bookmarks = Bookmarks;
(function (Bookmarks) {
})(Bookmarks = exports.Bookmarks || (exports.Bookmarks = {}));
//# sourceMappingURL=bookmarks.js.map