"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tags = void 0;
const resource_1 = require("cloudflare/resource");
class Tags extends resource_1.APIResource {
    /**
     * Create a tag
     */
    create(identifier, body, options) {
        return this._client.post(`/accounts/${identifier}/access/tags`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a tag
     */
    update(identifier, tagName, body, options) {
        return this._client.put(`/accounts/${identifier}/access/tags/${tagName}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List tags
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/tags`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a tag
     */
    delete(identifier, name, options) {
        return this._client.delete(`/accounts/${identifier}/access/tags/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a tag
     */
    get(identifier, name, options) {
        return this._client.get(`/accounts/${identifier}/access/tags/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Tags = Tags;
(function (Tags) {
})(Tags = exports.Tags || (exports.Tags = {}));
//# sourceMappingURL=tags.js.map