// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Tags extends APIResource {
    /**
     * Create a tag
     */
    create(identifier, body, options) {
        return this._client.post(`/accounts/${identifier}/access/tags`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a tag
     */
    update(identifier, tagName, body, options) {
        return this._client.put(`/accounts/${identifier}/access/tags/${tagName}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List tags
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/tags`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a tag
     */
    delete(identifier, name, options) {
        return this._client.delete(`/accounts/${identifier}/access/tags/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a tag
     */
    get(identifier, name, options) {
        return this._client.get(`/accounts/${identifier}/access/tags/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Tags) {
})(Tags || (Tags = {}));
//# sourceMappingURL=tags.mjs.map