import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as FailedLoginsAPI from 'cloudflare/resources/zero-trust/access/users/failed-logins';
export declare class FailedLogins extends APIResource {
    /**
     * Get all failed login attempts for a single user.
     */
    list(identifier: string, id: string, options?: Core.RequestOptions): Core.APIPromise<FailedLoginListResponse | null>;
}
export type FailedLoginListResponse = Array<FailedLoginListResponse.FailedLoginListResponseItem>;
export declare namespace FailedLoginListResponse {
    interface FailedLoginListResponseItem {
        expiration?: number;
        metadata?: unknown;
    }
}
export declare namespace FailedLogins {
    export import FailedLoginListResponse = FailedLoginsAPI.FailedLoginListResponse;
}
//# sourceMappingURL=failed-logins.d.ts.map