"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Users = void 0;
const resource_1 = require("cloudflare/resource");
const ActiveSessionsAPI = __importStar(require("cloudflare/resources/zero-trust/access/users/active-sessions"));
const FailedLoginsAPI = __importStar(require("cloudflare/resources/zero-trust/access/users/failed-logins"));
const LastSeenIdentityAPI = __importStar(require("cloudflare/resources/zero-trust/access/users/last-seen-identity"));
class Users extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.activeSessions = new ActiveSessionsAPI.ActiveSessions(this._client);
        this.lastSeenIdentity = new LastSeenIdentityAPI.LastSeenIdentity(this._client);
        this.failedLogins = new FailedLoginsAPI.FailedLogins(this._client);
    }
    /**
     * Gets a list of users for an account.
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/users`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Users = Users;
(function (Users) {
    Users.ActiveSessions = ActiveSessionsAPI.ActiveSessions;
    Users.LastSeenIdentity = LastSeenIdentityAPI.LastSeenIdentity;
    Users.FailedLogins = FailedLoginsAPI.FailedLogins;
})(Users = exports.Users || (exports.Users = {}));
//# sourceMappingURL=users.js.map