// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Patterns extends APIResource {
    /**
     * Validates whether this pattern is a valid regular expression. Rejects it if the
     * regular expression is too complex or can match an unbounded-length string. Your
     * regex will be rejected if it uses the Kleene Star -- be sure to bound the
     * maximum number of characters that can be matched.
     */
    validate(params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/dlp/patterns/validate`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
(function (Patterns) {
})(Patterns || (Patterns = {}));
//# sourceMappingURL=patterns.mjs.map