import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ItemsAPI from 'cloudflare/resources/zero-trust/gateway/lists/items';
export declare class Items extends APIResource {
    /**
     * Fetches all items in a single Zero Trust list.
     */
    list(listId: string, params: ItemListParams, options?: Core.RequestOptions): Core.APIPromise<ItemListResponse | null>;
}
export type ItemListResponse = Array<Array<ItemListResponse.ItemListResponseItem>>;
export declare namespace ItemListResponse {
    interface ItemListResponseItem {
        created_at?: string;
        /**
         * The value of the item in a list.
         */
        value?: string;
    }
}
export interface ItemListParams {
    account_id: unknown;
}
export declare namespace Items {
    export import ItemListResponse = ItemsAPI.ItemListResponse;
    export import ItemListParams = ItemsAPI.ItemListParams;
}
//# sourceMappingURL=items.d.ts.map