import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as TokenAPI from 'cloudflare/resources/zero-trust/tunnels/token';
export declare class Token extends APIResource {
    /**
     * Gets the token used to associate cloudflared with a specific tunnel.
     */
    get(tunnelId: string, params: TokenGetParams, options?: Core.RequestOptions): Core.APIPromise<TokenGetResponse>;
}
export type TokenGetResponse = unknown | Array<unknown> | string;
export interface TokenGetParams {
    /**
     * Cloudflare account ID
     */
    account_id: string;
}
export declare namespace Token {
    export import TokenGetResponse = TokenAPI.TokenGetResponse;
    export import TokenGetParams = TokenAPI.TokenGetParams;
}
//# sourceMappingURL=token.d.ts.map