// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class CustomNameservers extends APIResource {
    /**
     * Set metadata for account-level custom nameservers on a zone.
     *
     * If you would like new zones in the account to use account custom nameservers by
     * default, use PUT /accounts/:identifier to set the account setting
     * use_account_custom_ns_by_default to true.
     */
    update(params, options) {
        const { zone_id, ...body } = params;
        return this._client.put(`/zones/${zone_id}/custom_ns`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get metadata for account-level custom nameservers on a zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/custom_ns`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (CustomNameservers) {
})(CustomNameservers || (CustomNameservers = {}));
//# sourceMappingURL=custom-nameservers.mjs.map