"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutomaticHTTPSRewrites = void 0;
const resource_1 = require("cloudflare/resource");
class AutomaticHTTPSRewrites extends resource_1.APIResource {
    /**
     * Enable the Automatic HTTPS Rewrites feature for this zone.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/automatic_https_rewrites`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable the Automatic HTTPS Rewrites feature for this zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/automatic_https_rewrites`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.AutomaticHTTPSRewrites = AutomaticHTTPSRewrites;
(function (AutomaticHTTPSRewrites) {
})(AutomaticHTTPSRewrites = exports.AutomaticHTTPSRewrites || (exports.AutomaticHTTPSRewrites = {}));
//# sourceMappingURL=automatic-https-rewrites.js.map