// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class BrowserCheck extends APIResource {
    /**
     * Browser Integrity Check is similar to Bad Behavior and looks for common HTTP
     * headers abused most commonly by spammers and denies access to your page. It will
     * also challenge visitors that do not have a user agent or a non standard user
     * agent (also commonly used by abuse bots, crawlers or visitors).
     * (https://support.cloudflare.com/hc/en-us/articles/200170086).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/browser_check`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Browser Integrity Check is similar to Bad Behavior and looks for common HTTP
     * headers abused most commonly by spammers and denies access to your page. It will
     * also challenge visitors that do not have a user agent or a non standard user
     * agent (also commonly used by abuse bots, crawlers or visitors).
     * (https://support.cloudflare.com/hc/en-us/articles/200170086).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/browser_check`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (BrowserCheck) {
})(BrowserCheck || (BrowserCheck = {}));
//# sourceMappingURL=browser-check.mjs.map