"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailObfuscation = void 0;
const resource_1 = require("cloudflare/resource");
class EmailObfuscation extends resource_1.APIResource {
    /**
     * Encrypt email adresses on your web page from bots, while keeping them visible to
     * humans. (https://support.cloudflare.com/hc/en-us/articles/200170016).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/email_obfuscation`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Encrypt email adresses on your web page from bots, while keeping them visible to
     * humans. (https://support.cloudflare.com/hc/en-us/articles/200170016).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/email_obfuscation`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.EmailObfuscation = EmailObfuscation;
(function (EmailObfuscation) {
})(EmailObfuscation = exports.EmailObfuscation || (exports.EmailObfuscation = {}));
//# sourceMappingURL=email-obfuscation.js.map