import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as FontSettingsAPI from 'cloudflare/resources/zones/settings/font-settings';
export declare class FontSettings extends APIResource {
    /**
     * Enhance your website's font delivery with Cloudflare Fonts. Deliver Google
     * Hosted fonts from your own domain, boost performance, and enhance user privacy.
     * Refer to the Cloudflare Fonts documentation for more information.
     */
    edit(params: FontSettingEditParams, options?: Core.RequestOptions): Core.APIPromise<SpeedCloudflareFonts>;
    /**
     * Enhance your website's font delivery with Cloudflare Fonts. Deliver Google
     * Hosted fonts from your own domain, boost performance, and enhance user privacy.
     * Refer to the Cloudflare Fonts documentation for more information.
     */
    get(params: FontSettingGetParams, options?: Core.RequestOptions): Core.APIPromise<SpeedCloudflareFonts>;
}
/**
 * Enhance your website's font delivery with Cloudflare Fonts. Deliver Google
 * Hosted fonts from your own domain, boost performance, and enhance user privacy.
 * Refer to the Cloudflare Fonts documentation for more information.
 */
export interface SpeedCloudflareFonts {
    /**
     * ID of the zone setting.
     */
    id: 'fonts';
    /**
     * Current value of the zone setting.
     */
    value: 'on' | 'off';
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface FontSettingEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Whether the feature is enabled or disabled.
     */
    value: 'on' | 'off';
}
export interface FontSettingGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace FontSettings {
    export import SpeedCloudflareFonts = FontSettingsAPI.SpeedCloudflareFonts;
    export import FontSettingEditParams = FontSettingsAPI.FontSettingEditParams;
    export import FontSettingGetParams = FontSettingsAPI.FontSettingGetParams;
}
//# sourceMappingURL=font-settings.d.ts.map