"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.WAF = exports.TrueClientIPHeader = exports.TLSClientAuth = exports.TLS1_3 = exports.SortQueryStringForCache = exports.ServerSideExcludes = exports.SecurityLevel = exports.SecurityHeaders = exports.SSLRecommender = exports.SSL = exports.RocketLoader = exports.PseudoIPV4 = exports.ProxyReadTimeout = exports.PrefetchPreload = exports.Polish = exports.OriginErrorPagePassThru = exports.OrangeToOrange = exports.OpportunisticOnion = exports.OpportunisticEncryption = exports.NEL = exports.MobileRedirect = exports.Mirage = exports.Minify = exports.MinTLSVersion = exports.ImageResizing = exports.IPV6 = exports.IPGeolocation = exports.HotlinkProtection = exports.HTTP3 = exports.HTTP2 = exports.H2Prioritization = exports.EmailObfuscation = exports.EarlyHints = exports.DevelopmentMode = exports.Ciphers = exports.ChallengeTTL = exports.CacheLevel = exports.ResponseBuffering = exports.BrowserCheck = exports.BrowserCacheTTL = exports.Brotli = exports.AutomaticPlatformOptimization = exports.AutomaticHTTPSRewrites = exports.AlwaysUseHTTPS = exports.AlwaysOnline = exports.AdvancedDDOS = exports.ZeroRTT = exports.FontSettings = exports.Settings = exports.OriginMaxHTTPVersion = void 0;
exports.Websocket = exports.Webp = void 0;
var origin_max_http_version_1 = require("./origin-max-http-version.js");
Object.defineProperty(exports, "OriginMaxHTTPVersion", { enumerable: true, get: function () { return origin_max_http_version_1.OriginMaxHTTPVersion; } });
var settings_1 = require("./settings.js");
Object.defineProperty(exports, "Settings", { enumerable: true, get: function () { return settings_1.Settings; } });
var font_settings_1 = require("./font-settings.js");
Object.defineProperty(exports, "FontSettings", { enumerable: true, get: function () { return font_settings_1.FontSettings; } });
var zero_rtt_1 = require("./zero-rtt.js");
Object.defineProperty(exports, "ZeroRTT", { enumerable: true, get: function () { return zero_rtt_1.ZeroRTT; } });
var advanced_ddos_1 = require("./advanced-ddos.js");
Object.defineProperty(exports, "AdvancedDDOS", { enumerable: true, get: function () { return advanced_ddos_1.AdvancedDDOS; } });
var always_online_1 = require("./always-online.js");
Object.defineProperty(exports, "AlwaysOnline", { enumerable: true, get: function () { return always_online_1.AlwaysOnline; } });
var always_use_https_1 = require("./always-use-https.js");
Object.defineProperty(exports, "AlwaysUseHTTPS", { enumerable: true, get: function () { return always_use_https_1.AlwaysUseHTTPS; } });
var automatic_https_rewrites_1 = require("./automatic-https-rewrites.js");
Object.defineProperty(exports, "AutomaticHTTPSRewrites", { enumerable: true, get: function () { return automatic_https_rewrites_1.AutomaticHTTPSRewrites; } });
var automatic_platform_optimization_1 = require("./automatic-platform-optimization.js");
Object.defineProperty(exports, "AutomaticPlatformOptimization", { enumerable: true, get: function () { return automatic_platform_optimization_1.AutomaticPlatformOptimization; } });
var brotli_1 = require("./brotli.js");
Object.defineProperty(exports, "Brotli", { enumerable: true, get: function () { return brotli_1.Brotli; } });
var browser_cache_ttl_1 = require("./browser-cache-ttl.js");
Object.defineProperty(exports, "BrowserCacheTTL", { enumerable: true, get: function () { return browser_cache_ttl_1.BrowserCacheTTL; } });
var browser_check_1 = require("./browser-check.js");
Object.defineProperty(exports, "BrowserCheck", { enumerable: true, get: function () { return browser_check_1.BrowserCheck; } });
var response_buffering_1 = require("./response-buffering.js");
Object.defineProperty(exports, "ResponseBuffering", { enumerable: true, get: function () { return response_buffering_1.ResponseBuffering; } });
var cache_level_1 = require("./cache-level.js");
Object.defineProperty(exports, "CacheLevel", { enumerable: true, get: function () { return cache_level_1.CacheLevel; } });
var challenge_ttl_1 = require("./challenge-ttl.js");
Object.defineProperty(exports, "ChallengeTTL", { enumerable: true, get: function () { return challenge_ttl_1.ChallengeTTL; } });
var ciphers_1 = require("./ciphers.js");
Object.defineProperty(exports, "Ciphers", { enumerable: true, get: function () { return ciphers_1.Ciphers; } });
var development_mode_1 = require("./development-mode.js");
Object.defineProperty(exports, "DevelopmentMode", { enumerable: true, get: function () { return development_mode_1.DevelopmentMode; } });
var early_hints_1 = require("./early-hints.js");
Object.defineProperty(exports, "EarlyHints", { enumerable: true, get: function () { return early_hints_1.EarlyHints; } });
var email_obfuscation_1 = require("./email-obfuscation.js");
Object.defineProperty(exports, "EmailObfuscation", { enumerable: true, get: function () { return email_obfuscation_1.EmailObfuscation; } });
var h2_prioritization_1 = require("./h2-prioritization.js");
Object.defineProperty(exports, "H2Prioritization", { enumerable: true, get: function () { return h2_prioritization_1.H2Prioritization; } });
var http2_1 = require("./http2.js");
Object.defineProperty(exports, "HTTP2", { enumerable: true, get: function () { return http2_1.HTTP2; } });
var http3_1 = require("./http3.js");
Object.defineProperty(exports, "HTTP3", { enumerable: true, get: function () { return http3_1.HTTP3; } });
var hotlink_protection_1 = require("./hotlink-protection.js");
Object.defineProperty(exports, "HotlinkProtection", { enumerable: true, get: function () { return hotlink_protection_1.HotlinkProtection; } });
var ip_geolocation_1 = require("./ip-geolocation.js");
Object.defineProperty(exports, "IPGeolocation", { enumerable: true, get: function () { return ip_geolocation_1.IPGeolocation; } });
var ipv6_1 = require("./ipv6.js");
Object.defineProperty(exports, "IPV6", { enumerable: true, get: function () { return ipv6_1.IPV6; } });
var image_resizing_1 = require("./image-resizing.js");
Object.defineProperty(exports, "ImageResizing", { enumerable: true, get: function () { return image_resizing_1.ImageResizing; } });
var min_tls_version_1 = require("./min-tls-version.js");
Object.defineProperty(exports, "MinTLSVersion", { enumerable: true, get: function () { return min_tls_version_1.MinTLSVersion; } });
var minify_1 = require("./minify.js");
Object.defineProperty(exports, "Minify", { enumerable: true, get: function () { return minify_1.Minify; } });
var mirage_1 = require("./mirage.js");
Object.defineProperty(exports, "Mirage", { enumerable: true, get: function () { return mirage_1.Mirage; } });
var mobile_redirect_1 = require("./mobile-redirect.js");
Object.defineProperty(exports, "MobileRedirect", { enumerable: true, get: function () { return mobile_redirect_1.MobileRedirect; } });
var nel_1 = require("./nel.js");
Object.defineProperty(exports, "NEL", { enumerable: true, get: function () { return nel_1.NEL; } });
var opportunistic_encryption_1 = require("./opportunistic-encryption.js");
Object.defineProperty(exports, "OpportunisticEncryption", { enumerable: true, get: function () { return opportunistic_encryption_1.OpportunisticEncryption; } });
var opportunistic_onion_1 = require("./opportunistic-onion.js");
Object.defineProperty(exports, "OpportunisticOnion", { enumerable: true, get: function () { return opportunistic_onion_1.OpportunisticOnion; } });
var orange_to_orange_1 = require("./orange-to-orange.js");
Object.defineProperty(exports, "OrangeToOrange", { enumerable: true, get: function () { return orange_to_orange_1.OrangeToOrange; } });
var origin_error_page_pass_thru_1 = require("./origin-error-page-pass-thru.js");
Object.defineProperty(exports, "OriginErrorPagePassThru", { enumerable: true, get: function () { return origin_error_page_pass_thru_1.OriginErrorPagePassThru; } });
var polish_1 = require("./polish.js");
Object.defineProperty(exports, "Polish", { enumerable: true, get: function () { return polish_1.Polish; } });
var prefetch_preload_1 = require("./prefetch-preload.js");
Object.defineProperty(exports, "PrefetchPreload", { enumerable: true, get: function () { return prefetch_preload_1.PrefetchPreload; } });
var proxy_read_timeout_1 = require("./proxy-read-timeout.js");
Object.defineProperty(exports, "ProxyReadTimeout", { enumerable: true, get: function () { return proxy_read_timeout_1.ProxyReadTimeout; } });
var pseudo_ipv4_1 = require("./pseudo-ipv4.js");
Object.defineProperty(exports, "PseudoIPV4", { enumerable: true, get: function () { return pseudo_ipv4_1.PseudoIPV4; } });
var rocket_loader_1 = require("./rocket-loader.js");
Object.defineProperty(exports, "RocketLoader", { enumerable: true, get: function () { return rocket_loader_1.RocketLoader; } });
var ssl_1 = require("./ssl.js");
Object.defineProperty(exports, "SSL", { enumerable: true, get: function () { return ssl_1.SSL; } });
var ssl_recommender_1 = require("./ssl-recommender.js");
Object.defineProperty(exports, "SSLRecommender", { enumerable: true, get: function () { return ssl_recommender_1.SSLRecommender; } });
var security_headers_1 = require("./security-headers.js");
Object.defineProperty(exports, "SecurityHeaders", { enumerable: true, get: function () { return security_headers_1.SecurityHeaders; } });
var security_level_1 = require("./security-level.js");
Object.defineProperty(exports, "SecurityLevel", { enumerable: true, get: function () { return security_level_1.SecurityLevel; } });
var server_side_excludes_1 = require("./server-side-excludes.js");
Object.defineProperty(exports, "ServerSideExcludes", { enumerable: true, get: function () { return server_side_excludes_1.ServerSideExcludes; } });
var sort_query_string_for_cache_1 = require("./sort-query-string-for-cache.js");
Object.defineProperty(exports, "SortQueryStringForCache", { enumerable: true, get: function () { return sort_query_string_for_cache_1.SortQueryStringForCache; } });
var tls_1_3_1 = require("./tls-1-3.js");
Object.defineProperty(exports, "TLS1_3", { enumerable: true, get: function () { return tls_1_3_1.TLS1_3; } });
var tls_client_auth_1 = require("./tls-client-auth.js");
Object.defineProperty(exports, "TLSClientAuth", { enumerable: true, get: function () { return tls_client_auth_1.TLSClientAuth; } });
var true_client_ip_header_1 = require("./true-client-ip-header.js");
Object.defineProperty(exports, "TrueClientIPHeader", { enumerable: true, get: function () { return true_client_ip_header_1.TrueClientIPHeader; } });
var waf_1 = require("./waf.js");
Object.defineProperty(exports, "WAF", { enumerable: true, get: function () { return waf_1.WAF; } });
var webp_1 = require("./webp.js");
Object.defineProperty(exports, "Webp", { enumerable: true, get: function () { return webp_1.Webp; } });
var websocket_1 = require("./websocket.js");
Object.defineProperty(exports, "Websocket", { enumerable: true, get: function () { return websocket_1.Websocket; } });
//# sourceMappingURL=index.js.map