"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.IPV6 = void 0;
const resource_1 = require("cloudflare/resource");
class IPV6 extends resource_1.APIResource {
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ipv6`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ipv6`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.IPV6 = IPV6;
(function (IPV6) {
})(IPV6 = exports.IPV6 || (exports.IPV6 = {}));
//# sourceMappingURL=ipv6.js.map