"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileRedirect = void 0;
const resource_1 = require("cloudflare/resource");
class MobileRedirect extends resource_1.APIResource {
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/mobile_redirect`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/mobile_redirect`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.MobileRedirect = MobileRedirect;
(function (MobileRedirect) {
})(MobileRedirect = exports.MobileRedirect || (exports.MobileRedirect = {}));
//# sourceMappingURL=mobile-redirect.js.map