// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class SSLRecommender extends APIResource {
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ssl_recommender`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ssl_recommender`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (SSLRecommender) {
})(SSLRecommender || (SSLRecommender = {}));
//# sourceMappingURL=ssl-recommender.mjs.map