"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SSL = void 0;
const resource_1 = require("cloudflare/resource");
class SSL extends resource_1.APIResource {
    /**
     * SSL encrypts your visitor's connection and safeguards credit card numbers and
     * other personal data to and from your website. SSL can take up to 5 minutes to
     * fully activate. Requires Cloudflare active on your root domain or www domain.
     * Off: no SSL between the visitor and Cloudflare, and no SSL between Cloudflare
     * and your web server (all HTTP traffic). Flexible: SSL between the visitor and
     * Cloudflare -- visitor sees HTTPS on your site, but no SSL between Cloudflare and
     * your web server. You don't need to have an SSL cert on your web server, but your
     * vistors will still see the site as being HTTPS enabled. Full: SSL between the
     * visitor and Cloudflare -- visitor sees HTTPS on your site, and SSL between
     * Cloudflare and your web server. You'll need to have your own SSL cert or
     * self-signed cert at the very least. Full (Strict): SSL between the visitor and
     * Cloudflare -- visitor sees HTTPS on your site, and SSL between Cloudflare and
     * your web server. You'll need to have a valid SSL certificate installed on your
     * web server. This certificate must be signed by a certificate authority, have an
     * expiration date in the future, and respond for the request domain name
     * (hostname). (https://support.cloudflare.com/hc/en-us/articles/200170416).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ssl`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * SSL encrypts your visitor's connection and safeguards credit card numbers and
     * other personal data to and from your website. SSL can take up to 5 minutes to
     * fully activate. Requires Cloudflare active on your root domain or www domain.
     * Off: no SSL between the visitor and Cloudflare, and no SSL between Cloudflare
     * and your web server (all HTTP traffic). Flexible: SSL between the visitor and
     * Cloudflare -- visitor sees HTTPS on your site, but no SSL between Cloudflare and
     * your web server. You don't need to have an SSL cert on your web server, but your
     * vistors will still see the site as being HTTPS enabled. Full: SSL between the
     * visitor and Cloudflare -- visitor sees HTTPS on your site, and SSL between
     * Cloudflare and your web server. You'll need to have your own SSL cert or
     * self-signed cert at the very least. Full (Strict): SSL between the visitor and
     * Cloudflare -- visitor sees HTTPS on your site, and SSL between Cloudflare and
     * your web server. You'll need to have a valid SSL certificate installed on your
     * web server. This certificate must be signed by a certificate authority, have an
     * expiration date in the future, and respond for the request domain name
     * (hostname). (https://support.cloudflare.com/hc/en-us/articles/200170416).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ssl`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SSL = SSL;
(function (SSL) {
})(SSL = exports.SSL || (exports.SSL = {}));
//# sourceMappingURL=ssl.js.map