"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Websocket = void 0;
const resource_1 = require("cloudflare/resource");
class Websocket extends resource_1.APIResource {
    /**
     * Changes Websockets setting. For more information about Websockets, please refer
     * to
     * [Using Cloudflare with WebSockets](https://support.cloudflare.com/hc/en-us/articles/200169466-Using-Cloudflare-with-WebSockets).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/websockets`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets Websockets setting. For more information about Websockets, please refer to
     * [Using Cloudflare with WebSockets](https://support.cloudflare.com/hc/en-us/articles/200169466-Using-Cloudflare-with-WebSockets).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/websockets`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Websocket = Websocket;
(function (Websocket) {
})(Websocket = exports.Websocket || (exports.Websocket = {}));
//# sourceMappingURL=websocket.js.map