import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as PayloadLogsAPI from 'cloudflare/resources/zero-trust/dlp/payload-logs';
export declare class PayloadLogs extends APIResource {
    /**
     * Updates the DLP payload log settings for this account.
     */
    update(params: PayloadLogUpdateParams, options?: Core.RequestOptions): Core.APIPromise<PayloadLogUpdateResponse>;
    /**
     * Gets the current DLP payload log settings for this account.
     */
    get(params: PayloadLogGetParams, options?: Core.RequestOptions): Core.APIPromise<PayloadLogGetResponse>;
}
export interface PayloadLogUpdateResponse {
    public_key: string | null;
}
export interface PayloadLogGetResponse {
    public_key: string | null;
}
export interface PayloadLogUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param: The public key to use when encrypting extracted payloads, as a
     * base64 string
     */
    public_key: string | null;
}
export interface PayloadLogGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace PayloadLogs {
    export import PayloadLogUpdateResponse = PayloadLogsAPI.PayloadLogUpdateResponse;
    export import PayloadLogGetResponse = PayloadLogsAPI.PayloadLogGetResponse;
    export import PayloadLogUpdateParams = PayloadLogsAPI.PayloadLogUpdateParams;
    export import PayloadLogGetParams = PayloadLogsAPI.PayloadLogGetParams;
}
//# sourceMappingURL=payload-logs.d.ts.map