// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class PayloadLogs extends APIResource {
    /**
     * Updates the DLP payload log settings for this account.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/dlp/payload_log`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets the current DLP payload log settings for this account.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/dlp/payload_log`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (PayloadLogs) {
})(PayloadLogs || (PayloadLogs = {}));
//# sourceMappingURL=payload-logs.mjs.map